{
  options,
  config,
  pkgs,
  lib,
  ...
}:
with lib;
with lib.frajul; let
  cfg = config.apps.brave;
in {
  options.apps.brave = with types; {
    enable = mkBoolOpt false "Enable or disable brave browser";
  };

  config = mkIf cfg.enable {
    environment.systemPackages = [pkgs.brave];

    home.persist.directories = [
      ".local/share/BraveSoftware"
    ];
  };
}
